## lttoolbox 3.5.4

=== debian/changelog ===
lttoolbox (3.5.4-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:06:44 +0000

lttoolbox (3.5.4-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream non-ICU release
  * Fixed debian/watch to what I actually meant

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.6.0

 -- Kartik Mistry <kartik@debian.org>  Fri, 29 Oct 2021 10:41:38 +0530

lttoolbox (3.5.3-2) unstable; urgency=low

  * Fixed debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 25 Jan 2021 21:27:52 +0530
