=== debian/control ===
Source: lttoolbox
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               libxml2-dev,
               libxml2-utils,
               pkg-config,
               python3-dev,
               python3-setuptools,
               swig
Standards-Version: 4.6.0
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
Rules-Requires-Root: no

Package: lttoolbox
Architecture: any
Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Apertium lexical processing modules and tools
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.

Package: liblttoolbox3-3.5-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblttoolbox
Conflicts: liblttoolbox, liblttoolbox3
Replaces: liblttoolbox,
          liblttoolbox3,
          liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
Breaks: liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
Description: Shared library for lttoolbox
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.
 .
 This package provides shared library for lttoolbox.

Package: lttoolbox-dev
Architecture: any
Depends: lttoolbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: liblttoolbox3-dev
Replaces: liblttoolbox3-dev
Description: Development tools and library for lttoolbox
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.
 .
 This package provides development files for lttoolbox.

Package: python3-lttoolbox
Architecture: any
Section: python
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Apertium lexical processing modules and tools (Python 3 module)
 Python 3 module for applications using the Apertium lexical processing
 modules and tools.
