=== debian/watch ===
version=4
https://github.com/apertium/lttoolbox/releases \
 .*/lttoolbox-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate
