## lttoolbox 3.6.4

=== debian/changelog ===
lttoolbox (3.6.4-1) unstable; urgency=high

  [ Tino Didriksen ]
  * New upstream release
   + Includes fix for missing ICU linkage (Closes: #1010094)

 -- Kartik Mistry <kartik@debian.org>  Tue, 26 Apr 2022 20:05:34 +0530

lttoolbox (3.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Mar 2022 19:17:17 +0530

lttoolbox (3.6.1-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Fixes Python autopkgtest failure
  * Fixed debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Mar 2022 17:01:13 +0530

lttoolbox (3.6.0-2) unstable; urgency=low

  * Source only upload.

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Mar 2022 21:55:01 +0530

lttoolbox (3.6.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Updated package names for soname bump.

  [ Kartik Mistry ]
  * debian/copyright:
    + Updated Debian copyright year.
    + Removed BSL-1.0 license. Files are no longer used.
  * debian/control:
    + Removed XB-Python-Version.
  * Removed unused Lintian overrides.

 -- Kartik Mistry <kartik@debian.org>  Mon, 14 Mar 2022 17:42:48 +0530
