=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
+               libicu-dev,
+               libutfcpp-dev,
                libxml2-dev,
                libxml2-utils,
                pkg-config,
@@ -21,7 +23,7 @@
 
 Package: lttoolbox
 Architecture: any
-Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
+Depends: liblttoolbox3-3.6-1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Apertium lexical processing modules and tools
@@ -31,7 +33,7 @@
  for making morphological analysers and generators for natural language
  processing applications.
 
-Package: liblttoolbox3-3.5-1
+Package: liblttoolbox3-3.6-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -54,7 +56,11 @@
 
 Package: lttoolbox-dev
 Architecture: any
-Depends: lttoolbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libicu-dev,
+         libutfcpp-dev,
+         lttoolbox (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Conflicts: liblttoolbox3-dev
 Replaces: liblttoolbox3-dev
 Description: Development tools and library for lttoolbox
@@ -70,8 +76,7 @@
 Architecture: any
 Section: python
 Provides: ${python3:Provides}
-XB-Python-Version: ${python3:Versions}
-Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
+Depends: liblttoolbox3-3.6-1 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
