=== debian/changelog ===
lttoolbox (3.6.6-1) unstable; urgency=medium

  [ Tino Didriksen ]
  * New upstream release:
    + Fixes data compilation bug.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jun 2022 16:44:19 +0530
