=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-dev,
                python3-setuptools,
                swig
-Standards-Version: 4.6.0
+Standards-Version: 4.6.0.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
