=== debian/changelog ===
lttoolbox (3.7.1-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 01 Nov 2022 09:38:15 +0100

lttoolbox (3.7.0-1) experimental; urgency=medium

  * Update to latest upstream:
    + Updated package names for soname untangling.
    + Binary lsx-comp moved from package apertium-separable
  * debian/
    + docs: Removed AUTHORS in favour of installing it via rules -A
    + copyright: python/* is GPLv3+

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 26 Oct 2022 13:41:14 +0200
