=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-dev,
                python3-setuptools,
                swig
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
@@ -23,7 +23,7 @@
 
 Package: lttoolbox
 Architecture: any
-Depends: liblttoolbox3-3.6-1 (= ${binary:Version}),
+Depends: liblttoolbox3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Apertium lexical processing modules and tools
@@ -33,17 +33,15 @@
  for making morphological analysers and generators for natural language
  processing applications.
 
-Package: liblttoolbox3-3.6-1
+Package: liblttoolbox3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liblttoolbox
-Conflicts: liblttoolbox, liblttoolbox3
-Replaces: liblttoolbox,
-          liblttoolbox3,
-          liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
+Conflicts: liblttoolbox
+Replaces: liblttoolbox, liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
 Breaks: liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
 Description: Shared library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
@@ -62,7 +60,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: liblttoolbox3-dev
-Replaces: liblttoolbox3-dev
+Replaces: apertium-separable (<< 0.6.1-1), liblttoolbox3-dev
+Breaks: apertium-separable (<< 0.6.1-1)
 Description: Development tools and library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based
@@ -76,7 +75,7 @@
 Architecture: any
 Section: python
 Provides: ${python3:Provides}
-Depends: liblttoolbox3-3.6-1 (= ${binary:Version}),
+Depends: liblttoolbox3 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
