## lttoolbox 3.7.6

=== debian/changelog ===
lttoolbox (3.7.6-1build3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:31:06 +0100

lttoolbox (3.7.6-1build2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:03:46 +0100

lttoolbox (3.7.6-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:22:16 +0000

lttoolbox (3.7.6-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 28 Dec 2023 01:40:15 +0100

lttoolbox (3.7.1-3) unstable; urgency=medium

  * Upload fix to unstable

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 30 Oct 2023 14:30:12 +0100

lttoolbox (3.7.1-2) experimental; urgency=medium

  * Snip symlink creation from 3.6 days (Closes: #1035863)

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 10 May 2023 12:10:11 +0200
