## lttoolbox 3.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
-cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 project(lttoolbox
-	VERSION 3.7.0
+	VERSION 3.8.0
 	LANGUAGES CXX C
 	)
 set(VERSION ${PROJECT_VERSION})
 set(VERSION_ABI 3)
+set(PACKAGE_NAME ${PROJECT_NAME})
 set(PACKAGE_BUGREPORT "apertium-stuff@lists.sourceforge.net")
 
 add_definitions("-DPACKAGE_VERSION=\"${PROJECT_VERSION}\"")
@@ -78,15 +79,15 @@
 	if(NOT _ENABLED_CXX)
 		message(FATAL_ERROR "Could not enable at least C++17 - upgrade your compiler")
 	endif()
+endif()
 
-	# Generate pkg-config file
-	set(prefix      ${CMAKE_INSTALL_PREFIX})
-	set(exec_prefix "\${prefix}")
-	set(libdir      "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
-	set(includedir  "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
-	configure_file(lttoolbox.pc.in lttoolbox.pc @ONLY)
-	install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lttoolbox.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
-endif()
+# Generate pkg-config file
+set(prefix      ${CMAKE_INSTALL_PREFIX})
+set(exec_prefix "\${prefix}")
+set(libdir      "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
+set(includedir  "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
+configure_file(lttoolbox.pc.in lttoolbox.pc @ONLY)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lttoolbox.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
 
 try_compile(SIZET_NOT_CSTDINT ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/lttoolbox/check-cstdint.cc)
 if(SIZET_NOT_CSTDINT)
@@ -111,7 +112,7 @@
 # Unlocked I/O functions
 include(CheckSymbolExists)
 set(CMAKE_REQUIRED_DEFINITIONS -D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE)
-foreach(func fread_unlocked fwrite_unlocked fgetc_unlocked fputc_unlocked fputs_unlocked)
+foreach(func fread_unlocked fwrite_unlocked fgetc_unlocked fputc_unlocked fputs_unlocked fmemopen)
 	string(TOUPPER ${func} _uc)
 	CHECK_SYMBOL_EXISTS(${func} "stdio.h" HAVE_DECL_${_uc})
 	if(HAVE_DECL_${_uc})
@@ -124,20 +125,29 @@
 find_path(GETOPT_INCLUDE getopt.h)
 include_directories(${GETOPT_INCLUDE})
 if(VCPKG_TOOLCHAIN)
-	find_library(GETOPT_LIB NAMES getopt)
+	find_library(GETOPT_LIB NAMES getopt REQUIRED)
 	add_definitions(-DHAVE_GETOPT_LONG)
 else()
 	set(GETOPT_LIB)
+	CHECK_SYMBOL_EXISTS(getopt_long "getopt.h" HAVE_DECL_GETOPT_LONG)
+	if(HAVE_DECL_GETOPT_LONG)
+		add_definitions(-DHAVE_GETOPT_LONG)
+	endif()
 endif()
 
 # ICU
 find_package(ICU COMPONENTS i18n io uc REQUIRED)
 
+# utf8cpp / utfcpp
+find_path(UTFCPP_INCLUDE_DIRS utf8.h PATH_SUFFIXES utf8cpp utfcpp utf8 REQUIRED)
+include_directories(${UTFCPP_INCLUDE_DIRS})
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 if(BUILD_TESTING)
 	enable_testing()
-	find_package(PythonInterp 3.5 REQUIRED)
+	find_package(Python 3.8 REQUIRED)
+	set(PYTHON_EXECUTABLE ${Python_EXECUTABLE})
 	set(ENV{CTEST_OUTPUT_ON_FAILURE} 1)
 	set(CMAKE_CTEST_ARGUMENTS "-VV")
 endif()
