=== debian/changelog ===
lttoolbox (3.8.0-2ubuntu1) questing; urgency=medium

  * Fix ftbfs with libxml 2.14.x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 May 2025 13:36:30 +0200

lttoolbox (3.8.0-2build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:24:17 +0200

lttoolbox (3.8.0-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:39 +0200

lttoolbox (3.8.0-2) unstable; urgency=medium

  * Add patch to raise timeout, as riscv64 buildd is too slow

 -- Tino Didriksen <tino@didriksen.cc>  Fri, 11 Apr 2025 10:38:24 +0200

lttoolbox (3.8.0-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Apr 2025 10:10:25 +0200
