=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lttoolbox
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                dh-exec,
-               dh-python,
+               dh-sequence-python3,
                libicu-dev,
                libutfcpp-dev,
                libxml2-dev,
@@ -15,7 +16,7 @@
                python3-dev,
                python3-setuptools,
                swig
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
@@ -60,8 +61,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: liblttoolbox3-dev
-Replaces: apertium-separable (<< 0.6.1-1), liblttoolbox3-dev
-Breaks: apertium-separable (<< 0.6.1-1)
+Replaces: apertium-separable (<< 0.6.1), liblttoolbox3-dev
+Breaks: apertium-separable (<< 0.6.1)
 Description: Development tools and library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based
