=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh $@ --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-static --enable-python-bindings 'PYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp'
+	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON -DENABLE_PYTHON_BINDINGS=ON "-DPYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp"
 
 override_dh_auto_install:
 	dh_auto_install
